---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly, check cmd/gen-docs/docs.go.
-->

# `glab config init`

Shows a prompt to set basic glab configuration

## Synopsis

Update the configuration by setting a key to a value.

Examples:

```plaintext
$ glab config init
? Enter default GitLab Host (Current Value: https://gitlab.com):
```

```plaintext
glab config init [flags]
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
